﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SpreadWinSelectRowChildForm
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        private int selectedRow;
        private void Form1_Load(object sender, EventArgs e)
        {
            fpSpread1.ActiveSheet.SelectionPolicy = FarPoint.Win.Spread.Model.SelectionPolicy.Single;
            fpSpread1.ActiveSheet.SelectionUnit = FarPoint.Win.Spread.Model.SelectionUnit.Row;
            //Form2 is child form
            Form2 newMDIChild = new Form2(); 
            newMDIChild.MdiParent = this;           
            newMDIChild.Show();
            newMDIChild.Location = new Point(0, 330);
            newMDIChild.Width = this.Width - 30; 
        }

        private void fpSpread1_SelectionChanged(object sender, FarPoint.Win.Spread.SelectionChangedEventArgs e)
        {
            FarPoint.Win.Spread.Model.CellRange cr;
            cr = e.Range;
            selectedRow = cr.Row;
            //Form2 is the child form
            FarPoint.Win.Spread.FpSpread childFormSpread = (FarPoint.Win.Spread.FpSpread)((Form2)Application.OpenForms["Form2"]).Controls[0];           
            childFormSpread.ActiveSheet.ActiveRowIndex = selectedRow;
            childFormSpread.ActiveSheet.AddSelection(selectedRow, 0, 1, childFormSpread.ActiveSheet.ColumnCount);
        }      
    }
}
